% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pk.R
\name{pk}
\alias{pk}
\title{Probability mass function for truncated poisson}
\usage{
pk(k, kstar, lambda)
}
\arguments{
\item{k}{A scalar for the number of changes points in a cluster}

\item{kstar}{A scalar with the number maximum of change points in all clusters}

\item{lambda}{A scalar defining the parameter for the Truncate Poisson distribution
that controls the number of change points (or its initial values)}
}
\value{
`pk` returns a numerical value representing the marginal probability for a given k
}
\description{
Probability mass function for truncated poisson
}
\note{
This function is used within the Gibbs sampler, it is not expected to be used alone.
}
\examples{
# Hypothetical values
pk(k = 2, kstar = 3, lambda = 2)

}
\seealso{
[gibbs_alg()]
}
